org.gradle.language.swift

## Interface SwiftApplication

- All Superinterfaces:
    Named, SoftwareComponent, SwiftComponent

      @Incubating
      public interface SwiftApplication
      extends SwiftComponent

  Configuration for a Swift application, defining the source files that make up the application plus other settings.

  An instance of this type is added as a project extension by the Swift executable plugin.

  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SwiftExecutable` | `getDebugExecutable()` Returns the debug executable for this application.
    `SwiftExecutable` | `getDevelopmentBinary()` Returns the binary of the component to use as the default for development.
    `SwiftExecutable` | `getReleaseExecutable()` Returns the release executable for this application.

    - ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

      `getImplementationDependencies, getModule, getSource, getSwiftSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDevelopmentBinary

          SwiftExecutable getDevelopmentBinary()

      Returns the binary of the component to use as the default for development.
      Specified by:
        `getDevelopmentBinary` in interface `SwiftComponent`

    - #### getDebugExecutable

          SwiftExecutable getDebugExecutable()

      Returns the debug executable for this application.

    - #### getReleaseExecutable

          SwiftExecutable getReleaseExecutable()

      Returns the release executable for this application.